Last Comment Bug 1313706 - Enable captive portal detection on all channels
: Enable captive portal detection on all channels
Status: RESOLVED FIXED
[fxprivacy]
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal with 2 votes (vote)
: Firefox 53
Assigned To: Nihanth Subramanya [:nhnt11]
:
:
Mentors:
Depends on:
Blocks: 1202680
  Show dependency treegraph
 
Reported: 2016-10-28 09:14 PDT by Nihanth Subramanya [:nhnt11]
Modified: 2016-12-06 06:03 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
+
fixed
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1313706 - Enable captive portal detection on all channels. (58 bytes, text/x-review-board-request)
2016-12-01 16:57 PST, Nihanth Subramanya [:nhnt11]
valentin.gosu: review+
jcristau: approval‑mozilla‑aurora+
Details | Review

Description User image Nihanth Subramanya [:nhnt11] 2016-10-28 09:14:14 PDT
Now that the captive portal notification has landed, we should enable captive portal detection on all release channels and not just Nightly.
Comment 1 User image Matthew N. [:MattN] (PM if requests are blocking you) 2016-11-29 14:12:52 PST
[Tracking Requested - why for this release]: Releasing a new feature.
Comment 2 User image Julien Cristau [:jcristau] 2016-11-30 06:26:26 PST
tracking this new feature for 52
Comment 3 User image Nihanth Subramanya [:nhnt11] 2016-12-01 16:57:01 PST Comment hidden (mozreview-request)
Comment 4 User image Nihanth Subramanya [:nhnt11] 2016-12-01 16:57:57 PST Comment hidden (mozreview-request)
Comment 5 User image Nihanth Subramanya [:nhnt11] 2016-12-01 17:15:58 PST Comment hidden (mozreview-request)
Comment 6 User image Valentin Gosu [:valentin] 2016-12-02 02:34:39 PST
Comment on attachment 8816331 [details]
Bug 1313706 - Enable captive portal detection on all channels.

https://reviewboard.mozilla.org/r/97098/#review97452

Looks good!
Comment 7 User image Pulsebot 2016-12-03 20:08:44 PST
Pushed by nhnt11@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/96c519a83bf0
Enable captive portal detection on all channels. r=valentin
Comment 8 User image Nihanth Subramanya [:nhnt11] 2016-12-03 20:11:17 PST
Comment on attachment 8816331 [details]
Bug 1313706 - Enable captive portal detection on all channels.

Approval Request Comment
[User impact if declined]: No automatic captive portal detection
[Is this code covered by automated tests?]: Yes
[Has the fix been verified in Nightly?]: Yes
[Needs manual test from QE? If yes, steps to reproduce]: No
[Is the change risky?]: No
[Why is the change risky/not risky?]: Prefs on a feature that has been active in Nightly for a while, so that people can test during MozAloha.
[String changes made/needed]: none
Comment 9 User image Phil Ringnalda (:philor) 2016-12-04 07:06:39 PST
https://hg.mozilla.org/mozilla-central/rev/96c519a83bf0
Comment 10 User image Julien Cristau [:jcristau] 2016-12-05 14:42:11 PST
Comment on attachment 8816331 [details]
Bug 1313706 - Enable captive portal detection on all channels.

enable captive portal in aurora52

Note You need to log in before you can comment on or make changes to this bug.